package com.mortals.xhx.common.formdesign.component;

import com.google.common.collect.Lists;
import com.mortals.xhx.common.code.ComponentEnum;
import com.mortals.xhx.common.formdesign.DesignComponent;
import com.mortals.xhx.common.formdesign.ListItem;
import com.mortals.xhx.common.pdu.gen.component.ComponentCons;

/**
 * 二维码输入框
 */
public class DesignQrcodeComponent extends DesignComponent {

    public DesignQrcodeComponent(String type) {
        super(type);
    }

    @Override
    public ListItem buildDefaultComponent(ComponentCons cons) {
        ListItem columnsItem = new ListItem();
        columnsItem.setId(cons.getVal());
        columnsItem.set_id(cons.getVal());
        columnsItem.setCompType("input");
        columnsItem.setCompName(cons.getLabel());
        columnsItem.setCompIcon("input");
        columnsItem.setEle("el-input");
        columnsItem.setViewType("text");
        columnsItem.setConfig(true);
        columnsItem.setShowLabel(true);
        columnsItem.setLabel(cons.getLabel());
        columnsItem.setLabelWidth(120);
        columnsItem.setPlaceholder("请输入"+cons.getLabel());
        columnsItem.setRequired(true);
        columnsItem.setMaxLength(50);
        columnsItem.setGutter(15);
        columnsItem.setSpan(24);
        columnsItem.setWidth("100%");
        columnsItem.setClearable(true);
        columnsItem.setDisabled(false);
        columnsItem.setReadonly(false);
        columnsItem.setStatus("normal");
        columnsItem.setPrefixIcon("");
        columnsItem.setRules(Lists.newArrayList());
        columnsItem.setRulesType("default");
        columnsItem.setAppend("");
        columnsItem.setPrepend("");
        columnsItem.setLayout("colItem");
        return columnsItem;
    }

    @Override
    public String getType() {
        return ComponentEnum.QRCODE.getValue();
    }
}
